Subject: 28.0.91; regression: rcirc overwrites completion-cycle-threshold

From: Daniel Mendler <[email-masked]>
Date: Wed, 9 Feb 2022 12:10:09 +0100

rcirc-mode started to set `completion-cycle-threshold' to t. This
setting is intrusive and interferes with user completion setups. It is
better left to the user to tweak this setting in their user
configuration, since users may want to configure completions coherently
across the different modes in Emacs. Note that rcirc.el is the only
file/mode which sets `completion-cycle-threshold'. Therefore it is
better to revert the change which added this setting.

In GNU Emacs 28.0.91 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.5,
cairo version 1.16.0)
 of 2022-02-09 built on projects
Repository revision: 82e74e4559b8becd44f3e7ac0134e2baddd69921
Repository branch: emacs-28
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)